# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "packetfu"
  s.version = "1.1.8"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Tod Beardsley"]
  s.date = "2013-06-06"
  s.description = "PacketFu is a mid-level packet manipulation library for Ruby. With it, users can read, parse, and write network packets with the level of ease and fun they expect from Ruby. Note that this gem does not automatically require pcaprub, since users may install pcaprub through non-gem means."
  s.email = "todb@packetfu.com"
  s.extra_rdoc_files = [".document", "README.rdoc"]
  s.files = [".document", ".gitignore", ".mailmap", "INSTALL.rdoc", "LICENSE.txt", "README.rdoc", "Rakefile", "bench/after-2012-07-28.txt", "bench/before-2012-07-28.txt", "bench/benchit.rb", "bench/calc_delta.rb", "bench/octets.rb", "bench/octets_after.txt", "bench/octets_after_refactor.txt", "bench/octets_before.txt", "examples/100kpackets.rb", "examples/ackscan.rb", "examples/arp.rb", "examples/arphood.rb", "examples/dissect_thinger.rb", "examples/ethernet.rb", "examples/examples.rb", "examples/ids.rb", "examples/idsv2.rb", "examples/ifconfig.rb", "examples/new-simple-stats.rb", "examples/oui.txt", "examples/packetfu-shell.rb", "examples/simple-sniffer.rb", "examples/simple-stats.rb", "examples/slammer.rb", "examples/uniqpcap.rb", "lib/packetfu.rb", "lib/packetfu/capture.rb", "lib/packetfu/config.rb", "lib/packetfu/inject.rb", "lib/packetfu/packet.rb", "lib/packetfu/pcap.rb", "lib/packetfu/protos/arp.rb", "lib/packetfu/protos/arp/header.rb", "lib/packetfu/protos/arp/mixin.rb", "lib/packetfu/protos/eth.rb", "lib/packetfu/protos/eth/header.rb", "lib/packetfu/protos/eth/mixin.rb", "lib/packetfu/protos/hsrp.rb", "lib/packetfu/protos/hsrp/header.rb", "lib/packetfu/protos/hsrp/mixin.rb", "lib/packetfu/protos/icmp.rb", "lib/packetfu/protos/icmp/header.rb", "lib/packetfu/protos/icmp/mixin.rb", "lib/packetfu/protos/invalid.rb", "lib/packetfu/protos/ip.rb", "lib/packetfu/protos/ip/header.rb", "lib/packetfu/protos/ip/mixin.rb", "lib/packetfu/protos/ipv6.rb", "lib/packetfu/protos/ipv6/header.rb", "lib/packetfu/protos/ipv6/mixin.rb", "lib/packetfu/protos/lldp.rb", "lib/packetfu/protos/lldp/header.rb", "lib/packetfu/protos/lldp/mixin.rb", "lib/packetfu/protos/tcp.rb", "lib/packetfu/protos/tcp/ecn.rb", "lib/packetfu/protos/tcp/flags.rb", "lib/packetfu/protos/tcp/header.rb", "lib/packetfu/protos/tcp/hlen.rb", "lib/packetfu/protos/tcp/mixin.rb", "lib/packetfu/protos/tcp/option.rb", "lib/packetfu/protos/tcp/options.rb", "lib/packetfu/protos/tcp/reserved.rb", "lib/packetfu/protos/udp.rb", "lib/packetfu/protos/udp/header.rb", "lib/packetfu/protos/udp/mixin.rb", "lib/packetfu/structfu.rb", "lib/packetfu/utils.rb", "lib/packetfu/version.rb", "packetfu.gemspec", "setup.rb", "spec/ethpacket_spec.rb", "spec/packet_spec.rb", "spec/packet_subclasses_spec.rb", "spec/packetfu_spec.rb", "spec/sample.pcap", "spec/sample2.pcap", "spec/structfu_spec.rb", "spec/tcp_spec.rb", "spec/vlan-pcapr.cap", "test/all_tests.rb", "test/func_lldp.rb", "test/ptest.rb", "test/sample-ipv6.pcap", "test/sample.pcap", "test/sample2.pcap", "test/sample_hsrp_pcapr.cap", "test/sample_lldp.pcap", "test/test_arp.rb", "test/test_capture.rb", "test/test_eth.rb", "test/test_hsrp.rb", "test/test_icmp.rb", "test/test_inject.rb", "test/test_invalid.rb", "test/test_ip.rb", "test/test_ip6.rb", "test/test_octets.rb", "test/test_packet.rb", "test/test_pcap.rb", "test/test_structfu.rb", "test/test_tcp.rb", "test/test_udp.rb", "test/vlan-pcapr.cap"]
  s.homepage = "https://github.com/todb/packetfu"
  s.licenses = ["BSD"]
  s.require_paths = ["lib"]
  s.rubyforge_project = "packetfu"
  s.rubygems_version = "1.8.23"
  s.summary = "PacketFu is a mid-level packet manipulation library."
  s.test_files = ["spec/ethpacket_spec.rb", "spec/packet_spec.rb", "spec/packet_subclasses_spec.rb", "spec/packetfu_spec.rb", "spec/structfu_spec.rb", "spec/tcp_spec.rb", "test/test_arp.rb", "test/test_capture.rb", "test/test_eth.rb", "test/test_hsrp.rb", "test/test_icmp.rb", "test/test_inject.rb", "test/test_invalid.rb", "test/test_ip.rb", "test/test_ip6.rb", "test/test_octets.rb", "test/test_packet.rb", "test/test_pcap.rb", "test/test_structfu.rb", "test/test_tcp.rb", "test/test_udp.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<pcaprub>, [">= 0.9.2"])
      s.add_development_dependency(%q<rspec>, [">= 2.6.2"])
      s.add_development_dependency(%q<sdoc>, [">= 0.2.0"])
    else
      s.add_dependency(%q<pcaprub>, [">= 0.9.2"])
      s.add_dependency(%q<rspec>, [">= 2.6.2"])
      s.add_dependency(%q<sdoc>, [">= 0.2.0"])
    end
  else
    s.add_dependency(%q<pcaprub>, [">= 0.9.2"])
    s.add_dependency(%q<rspec>, [">= 2.6.2"])
    s.add_dependency(%q<sdoc>, [">= 0.2.0"])
  end
end
